Topic: Angular 16 MDB5 Installation problem

Karl Ennis priority asked 1 month ago


Expected behavior basic initial installation. trying to get drop downs, carousels, accordions etc working

Actual behavior - the i am using angular 16, when i use the latest git installation i get a compat error with due to animations 16, so i have installed mdb-angular-ui-kit 5.2.0 which does seem to have installed but i get no interactivity from the components eg dropdowns do not expand, carousels do not rotate, accordions do not respond.

If someone could point me in the right direction. I am adding mdb to an existing small project before trying to install it on my larger project incase of breaking.

Resources (screenshots, code snippets etc.) enter image description here enter image description here enter image description here


Arkadiusz Idzikowski staff commented 4 weeks ago

The latest MDB Angular version requires Angular 17. You would need to update Angular dependencies in your app in order to use it.

Did you import modules for all the mentioned components (accordion, carousel)? I can only see MdbDropdownModule in the screenshot.


Karl Ennis priority commented 4 weeks ago

Upgrading to angular 17 is not an option as we prefer to stick a version behind current for compatibility issues with other components. I have managed to get some mdb components working by adding #5.0.0 or similar for each module to the end of the git line. Is this the correct method for installing version specific mdb?


Arkadiusz Idzikowski staff commented 4 weeks ago

This is correct approach when you want to install a specific version. But its strange that 5.0.0 works correctly and 5.2.0 does not. Could you please check if there are any errors in the console when you try to use those components in 5.2.0 version?



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • ForumUser: Priority
  • Premium support: Yes
  • Technology: MDB Angular
  • MDB Version: MDB5 5.2.0
  • Device: Laptop
  • Browser: Chrome
  • OS: Windows
  • Provided sample code: No
  • Provided link: No